Change log for rdup package in Ubuntu

117 of 17 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-05-01
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed (Reason: moved to release)
rdup (1.1.15-1) unstable; urgency=low

  * New upstream version 1.1.15
  * Contributed by Felix Sipma <email address hidden>
    * enable hardening flags
    * add missing CPPFLAGS reported by blhc
    * add missing CFLAGS reported by blhc
    * add patch to fix manpage formatting warning:
      0002-fix-manpage-formatting-warning.patch
    * use DPKG_EXPORT_BUILDFLAGS in debian/rules
    * add rdup-simple.1 manpage
    * use dh_prep
    * add patch fixing spelling errors: 0001-fix-spelling-errors.patch
    * bump debhelper compat to 10
    * update Standards-Version to 3.9.8
    * add debian/rdup.manpages
    * update homepage (Closes: #771478)
    * update Vcs-Git and Vcs-Browser tags
    * add debian/watch file
    
  * add autoreconf to debian/rules
  * removed 0001-Delete-set-but-unused-variables.patch (not needed anymore)
  * removed 0004-libarchive.patch (not needed anymore)

 -- Jose Carlos Garcia Sogo <email address hidden>  Sat, 07 Jan 2017 23:58:37 +0100
Superseded in zesty-release on 2017-01-09
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed (Reason: moved to release)
rdup (1.1.11-1.1build1) wily; urgency=medium

  * No-change rebuild for the libnettle6 transition.

 -- Adam Conrad <email address hidden>  Sun, 14 Jun 2015 03:55:13 -0600
Superseded in wily-release on 2015-06-24
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2013-10-18
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed (Reason: moved to release)
rdup (1.1.11-1.1) unstable; urgency=low


  * Non-maintainer upload.
  * debian/patches/0004-libarchive.patch: Apply path from Adam Conrad to fix
    FTBFS with newer libarchive. (Closes: #701606)

 -- Sebastian Ramacher <email address hidden>  Mon, 17 Jun 2013 23:07:49 +0200
Superseded in saucy-release on 2013-07-21
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
rdup (1.1.11-1ubuntu2) raring; urgency=low

  * Instead of ignoring compiler warnings, actually fix them, drop
    0004-build-with-deprecated.patch, and add 0004-libarchive.patch.
 -- Adam Conrad <email address hidden>   Sun, 24 Feb 2013 21:00:56 -0700
Superseded in raring-proposed on 2013-02-25
rdup (1.1.11-1ubuntu1) raring; urgency=low

  * 0004-build-with-deprecated.patch:
    - Use -Wno-deprecated-declarations to work around build failure
      with libarchive13
 -- Jeremy Bicha <email address hidden>   Fri, 22 Feb 2013 16:12:01 -0500
Superseded in raring-proposed on 2013-02-22
rdup (1.1.11-1build2) raring; urgency=low

  * No-change rebuild against libarchive13.
 -- Jeremy Bicha <email address hidden>   Fri, 22 Feb 2013 08:55:48 -0500

Available diffs

Superseded in raring-release on 2013-02-27
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2012-03-16
rdup (1.1.11-1build1) precise; urgency=low

  * No-change rebuild against libarchive12.
 -- Martin Pitt <email address hidden>   Fri, 16 Mar 2012 11:03:57 +0100
Superseded in precise-release on 2012-03-16
rdup (1.1.11-1) unstable; urgency=low


  * New upstream version 
    + Compiles with gcc 4.6 (Closes: #625407)
    + Will work with 'ld --as-needed' (Closes: #627617)  
  * Switch to dpkg-source 3.0 (quilt) format

 -- Jose Carlos Garcia Sogo <email address hidden>  Sat, 26 Nov 2011 02:01:28 +0000
Superseded in precise-release on 2011-11-29
Obsolete in oneiric-release on 2015-04-24
rdup (1.0.5-1ubuntu2) oneiric; urgency=low

  * Don't build with -Werror. Closes: #625407. LP: #832776.
 -- Matthias Klose <email address hidden>   Tue, 13 Sep 2011 23:22:39 +0200

Available diffs

Superseded in oneiric-release on 2011-09-13
rdup (1.0.5-1ubuntu1) oneiric; urgency=low

  * Place objects before libraries on the link line (LP: #770793).
 -- Colin Watson <email address hidden>   Sun, 22 May 2011 18:58:19 +0100

Available diffs

Superseded in oneiric-release on 2011-05-22
rdup (1.0.5-1build1) oneiric; urgency=low

  * Rebuild for libnettle4.
 -- Colin Watson <email address hidden>   Sun, 22 May 2011 17:57:37 +0100

Available diffs

Superseded in oneiric-release on 2011-05-22
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
rdup (1.0.5-1) unstable; urgency=low

  * New upstream release (Closes: #566523) 
  * Bump Standards-Version to 3.8.3. No changes needed.
  * Add nettle build dependency 
  * Push debhelper compat level to 7 
 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  04 Feb 2010 17:27:12 +0000

Available diffs

Superseded in lucid-release on 2010-02-04
Obsolete in karmic-release on 2013-03-04
rdup (0.7.0-1) unstable; urgency=low

  * New Upstream Version:
    + rdup-simple is also back as /usr/lib/rdup/rdup-simple.sh using now
      rdup-tr and rdup-up.

Available diffs

Superseded in karmic-release on 2009-04-29
Obsolete in jaunty-release on 2013-02-28
rdup (0.6.3-2) unstable; urgency=low

  * Add missing Build-Dependecy on libpcre3-dev (Closes: #508246)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  15 Dec 2008 10:21:09 +0000

Available diffs

Superseded in jaunty-release on 2008-12-15
rdup (0.6.3-1) unstable; urgency=low

  * New Upstream Version
  * Standard-Version bumped to 3.8.0. No changes needed. 
  * Upstream removed rdup.cron; do not install as example 

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  10 Dec 2008 07:13:40 +0000

Available diffs

Superseded in jaunty-release on 2008-12-10
rdup (0.6.1-1) unstable; urgency=low

  * New Upstream Version

 -- Ubuntu Archive Auto-Sync <email address hidden>   Wed,  05 Nov 2008 17:56:04 +0000

Available diffs

Superseded in jaunty-release on 2008-11-06
Obsolete in intrepid-release on 2013-02-20
rdup (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * First version uploaded to Debian archive. (Closes: #484204)
  * debian/control:
    + No need to build rdup-doc package
    + Standards-Version bumped to 3.7.3
    + use ${misc:Perl} variable
    + Set myself as maintainer
  * debian/rules:
    + General clean of debian/rules
    + Use dh_perl to set dependency on perl
    + Do not regenerate automatically configure script and friends
  * Update debian/copyright file, and point to GPLv3 license file
  in Debian systems

117 of 17 results